[arch-commits] Commit in python-flask-restful/repos/community-staging-any (2 files)

Evangelos Foutras foutrelis at archlinux.org
Thu Nov 12 11:58:16 UTC 2020


    Date: Thursday, November 12, 2020 @ 11:58:16
  Author: foutrelis
Revision: 751583

archrelease: copy trunk to community-staging-any

Added:
  python-flask-restful/repos/community-staging-any/PKGBUILD
    (from rev 751582, python-flask-restful/trunk/PKGBUILD)
Deleted:
  python-flask-restful/repos/community-staging-any/PKGBUILD

----------+
 PKGBUILD |   60 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-12 11:58:11 UTC (rev 751582)
+++ PKGBUILD	2020-11-12 11:58:16 UTC (rev 751583)
@@ -1,30 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-flask-restful
-pkgver=0.3.8
-pkgrel=2
-pkgdesc="Simple framework for creating REST APIs"
-url="https://github.com/flask-restful/flask-restful"
-license=('BSD')
-arch=('any')
-depends=('python-six' 'python-flask' 'python-aniso8601' 'python-pytz')
-makedepends=('python-setuptools')
-checkdepends=('python-nose' 'python-mock' 'python-blinker' 'python-pycryptodome')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/flask-restful/flask-restful/archive/$pkgver.tar.gz")
-sha512sums=('15172114fcedc2f4286cf5f583d95e42c8c8ce6553f9a44e57124f2b1417bf9f094dcb5154a6933ebebc8022f39d4d7969d29d38576111f9d5b45f630b36a66c')
-
-build() {
-  cd flask-restful-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd flask-restful-$pkgver
-  python setup.py nosetests || echo "Tests failed"
-}
-
-package() {
-  cd flask-restful-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-flask-restful/repos/community-staging-any/PKGBUILD (from rev 751582, python-flask-restful/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-12 11:58:16 UTC (rev 751583)
@@ -0,0 +1,30 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-flask-restful
+pkgver=0.3.8
+pkgrel=3
+pkgdesc="Simple framework for creating REST APIs"
+url="https://github.com/flask-restful/flask-restful"
+license=('BSD')
+arch=('any')
+depends=('python-six' 'python-flask' 'python-aniso8601' 'python-pytz')
+makedepends=('python-setuptools')
+checkdepends=('python-nose' 'python-mock' 'python-blinker' 'python-pycryptodome')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/flask-restful/flask-restful/archive/$pkgver.tar.gz")
+sha512sums=('15172114fcedc2f4286cf5f583d95e42c8c8ce6553f9a44e57124f2b1417bf9f094dcb5154a6933ebebc8022f39d4d7969d29d38576111f9d5b45f630b36a66c')
+
+build() {
+  cd flask-restful-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd flask-restful-$pkgver
+  python setup.py nosetests || echo "Tests failed"
+}
+
+package() {
+  cd flask-restful-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list